Bug 21144 - ROADTYPE missing from authorised value categories list
Summary: ROADTYPE missing from authorised value categories list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17216
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-02 00:13 UTC by Katrin Fischer
Modified: 2018-09-21 13:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21144: Add ROADTYPE to default authorised values categories (1.18 KB, patch)
2018-08-02 00:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21144: Add ROADTYPE to default authorised values categories (1.79 KB, patch)
2018-08-02 01:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21144: Add ROADTYPE to default authorised values categories (1.83 KB, patch)
2018-08-02 18:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21144: Add ROADTYPE to default authorised values categories (1.91 KB, patch)
2018-08-15 17:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-08-02 00:13:10 UTC
The ROADTYPE authorised value category used on the patron form is missing from the defaults listed.
Comment 1 Katrin Fischer 2018-08-02 00:21:57 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2018-08-02 01:17:44 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-08-02 18:15:51 UTC
Created attachment 77457 [details] [review]
Bug 21144: Add ROADTYPE to default authorised values categories

The ROADTYPE category was missing from the default list of
authorised value categories available.

To test:
- Verify ROADTYPE is not listed as authorised value category
- Apply patch and run database update
- Verify ROADTYPE is now listed
- Add an entry, for example: AV = Avenue
- Add or edit a patron, verify a pull down with your entry
  shows on the form.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2018-08-15 17:09:12 UTC
Created attachment 77841 [details] [review]
Bug 21144: Add ROADTYPE to default authorised values categories

The ROADTYPE category was missing from the default list of
authorised value categories available.

To test:
- Verify ROADTYPE is not listed as authorised value category
- Apply patch and run database update
- Verify ROADTYPE is now listed
- Add an entry, for example: AV = Avenue
- Add or edit a patron, verify a pull down with your entry
  shows on the form.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-08-21 13:57:09 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-24 10:02:13 UTC
Pushed to 18.05.x for 18.05.03
Comment 7 Fridolin SOMERS 2018-09-21 13:19:43 UTC
Pushed to 17.11.x for 17.11.10